Subject: RE: cd /d/somedir fails, but cd /d; cd somedir works
From: "Tolkin, Steve" <[email-masked]>
To: "'Larry Hall (RFK Partners, Inc)'" <[email-masked]>
Cc: [email-masked]
Date: Wed, 14 Jun 2000 11:14:39 -0400

> -----Original Message-----
> From: Larry Hall (RFK Partners, Inc) [mailto:[email-masked]]
> Sent: Wednesday, June 14, 2000 10:48 AM
> To: Tolkin, Steve
> Subject: Re: cd /d/somedir fails, but cd /d; cd somedir works
> 
> 
> At 09:52 AM 6/14/2000, you wrote:
> >I can cd to a drive other than C: in two steps, as follows:
> >  cd /d
> >  cd somedir
> >
> >This assumes I have earlier done, in a DOS box: 
> >  cd /
> >  mkdir d
> >  mount d:\ /d
> >
> >But I cannot do this in one step i.e. 
> >  cd /d/somedir 
> >fails with the error message:
> >  bash: cd: /d/somedir: No such file or directory
> >Why?
> 
> 
> Are you doing this from bash?  I get the feeling you're not 
> in which case I'm
> not sure whether the / you've mounted is the same one you 
> appear to be 
> referencing with cd.

Yes, I am in bash, version 2.04.0(10)-release (i586-pc-cygwin32)
Here is a transcript.

1885/> cd /f
1886/f> cd _mybin
/cygdrive/f/_mybin
1887/cygdrive/f/_mybin> pwd
/cygdrive/f/_mybin
1888/cygdrive/f/_mybin> cd /
1889/> cd /f/_mybin
bash: cd: /f/_mybin: No such file or directory

> >I can do it in one step using the clunky syntax 
> >  cd /cygdrive/d/somedir
> >
> >Is there a short alias for cygdrive?
> 
> See the options for mount.  You can set the prefix for 
> non-mounted partitions
> to be whatever you want.

Is there any recommended or preferred name for this?
I am currently saying
  mount  --change-cygdrive-prefix /_

i.e. using the single underscore for this prefix.  Any problems with that?

What is a "non-mounted partition". 
I do not really understand how mount works.
I have I used Unix for years, but I was not the systems administrator, and
so never had to deal with it.  

Is there a way to unmount a drive?

Why is there no man page for mount available?
I am wondering what these options really do.  It seems that
there is some interaction between -b and -t e.g. only one is allowed, and
this may extend to -x as well.

What is a "mount point", a "mount point directory", a "mount area", a
"mount"?
All these terms are used in the output of mount /? below.
Are these the same or different concepts?
Can I just see the current values for the mount points, mount areas, etc.
without changing my state.

1883/> mount /?
usage mount [-bfstux] <win32path> <posixpath>
-b  text files are equivalent to binary files (newline = \n)
-f  force mount, don't warn about missing mount point directories
-s  add mount point to system-wide registry location
-t  text files get \r\n line endings (default)
-u  add mount point to user registry location (default)
-x  treat all files under mount point as executables

[-bs] --change-cygdrive-prefix <posixpath>
    change the cygdrive path prefix to <posixpath>
--import-old-mounts
    copy old registry mount table mounts into the current mount areas

...
> Windows uses // as an indicator of UNC syntax 
> (//<hostname>/<sharename>).
> This conflicts with the convention introduced into Cygwin of 
> //<drive>.
> Using //<drive> in Cygwin can result in unwanted network traffic and 
> command line delays...

OK.

Thanks,
Steve
-- 
Steven Tolkin          [email-masked]      617-563-0516 
Fidelity Investments   82 Devonshire St. R24D    Boston MA 02109
There is nothing so practical as a good theory.  Comments are by me, 
not Fidelity Investments, its subsidiaries or affiliates.

--
Want to unsubscribe from this list?
Send a message to [email-masked]